Download it now!
Bug 100876 - Difficulty to discover the Slide Pane
Summary: Difficulty to discover the Slide Pane
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2016-07-12 16:50 UTC by Alex ARNAUD
Modified: 2019-10-26 02:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot from accerciser (13.74 KB, image/png)
2016-09-13 04:11 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-12 16:50:48 UTC
Dear LibreOffice community,

on the latest LibreOffice Impress release (5.1.4) the "Slide Pane" is
not a correctly visible panel for Assistive Technology users like blind
person that use the Orca screen reader.

Actually, it is not possible to move the keyboard caret (with F6) on the title of the Slide Pane like it is possible for the Property pane.

Best regards.
Comment 1 V Stuart Foote 2016-07-12 17:23:54 UTC
Confirming on Windows 10 Pro 64-bit en-US with NVDA 2016.2 and
Version: 5.2.0.1 (x64)
Build ID: fcbcb4963bda8633ba72bd2108ca1e802aad557d
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

Navigating from main Menu (position there by F10) with F6 passes onto the "Slides" pane (View -> Slide Pane), however the keyboard navigation accessible events is only announced as "Split pane" with no title for the panel sounded. A Tab from there advances into the Slides, and exposes them as list items, but no additional details.

A movement of the mouse does pick up the panel as "Slides View", and a mouseover on each slide exposes the slide--but accessible events exposed to keyboard navigation do not match the mouseover events.
Comment 2 Yousuf Philips (jay) (retired) 2016-09-13 04:11:53 UTC
Created attachment 127289 [details]
screenshot from accerciser

Shows that there are no labels for the pane or the close button.
Comment 3 Xisco Faulí 2017-09-29 08:53:55 UTC Comment hidden (obsolete)
Comment 4 Alex ARNAUD 2017-10-03 12:34:18 UTC
Dear all,

I can reproduce this issue on LibreOfficeDev 6.0 build of 2017-09-27 on Debian 8.9 "Jessie".

Best regards.
Comment 5 Quentin Christensen 2017-10-24 03:15:08 UTC
Using Impress 5.4.2.2 (x64) on Windows 10 with NVDA 2017.3, I found:
F6 will get to the slide pane after the File menu, Standard toolbar and Drawing Toolbar (on the default setup).  When it gets to this, it announces "Toolbar, button" with the focus on the close button for the slide pane, so it would be easy to miss.

The identification of objects is problematic on that slide pane.  That "button" the focus initially moves to should be identified as "close button" or similar.  When you press tab from that, you get to the list of slides, but only the slide layout type, eg: "Title slide", "Title, content" is announced, not the slide number of title text of the slide.
Comment 6 QA Administrators 2018-10-25 03:02:23 UTC Comment hidden (obsolete)
Comment 7 V Stuart Foote 2018-10-25 05:35:48 UTC
a11y issue remains on Windows builds with NVDA screen reader
Version: 6.2.0.0.alpha1+ (x64)
Build ID: d11594db10c6c4eb9251c6eeeccbf9b9565cc693
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2018-10-23_19:43:43
Locale: en-US (en_US); Calc: CL
Comment 8 QA Administrators 2019-10-26 02:09:46 UTC
Dear Alex ARNAUD,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug